Package org.apache.jasper

## Class Constants

- java.lang.Object
- - org.apache.jasper.Constants

    public class Constants
    extends Object

Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

### Field Summary

Fields
`static String` `CATALINA_HOME_PROP` Name of the system property containing the tomcat product installation path
`static int` `DEFAULT_BUFFER_SIZE` Default size of the JSP buffer.
`static int` `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
`static boolean` `IS_SECURITY_ENABLED` Has security been turned on?
`static String` `JSP_FACTORY_POOL_SIZE_INIT_PARAM` Name of the ServletContext init-param that determines the JSP factory pool size.
`static int` `MAX_POOL_SIZE` Default tag handler pool size.
`static String` `SPEC_VERSION`
`static List<String>` `STANDARD_IMPORTS`
`static String` `XML_BLOCK_EXTERNAL_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.
`static String` `XML_VALIDATION_TLD_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPEC_VERSION

    public static final String SPEC_VERSION

See Also:
  Constant Field Values

#### STANDARD_IMPORTS

    public static final List<String> STANDARD_IMPORTS

#### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

Default size of the JSP buffer.

See Also:
  Constant Field Values

#### DEFAULT_TAG_BUFFER_SIZE

    public static final int DEFAULT_TAG_BUFFER_SIZE

Default size for the tag buffers.

See Also:
  Constant Field Values

#### MAX_POOL_SIZE

    public static final int MAX_POOL_SIZE

Default tag handler pool size.

See Also:
  Constant Field Values

#### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

Has security been turned on?

#### CATALINA_HOME_PROP

    public static final String CATALINA_HOME_PROP

Name of the system property containing the tomcat product installation path

See Also:
  Constant Field Values

#### XML_VALIDATION_TLD_INIT_PARAM

    public static final String XML_VALIDATION_TLD_INIT_PARAM

Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  Constant Field Values

#### XML_BLOCK_EXTERNAL_INIT_PARAM

    public static final String XML_BLOCK_EXTERNAL_INIT_PARAM

Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  Constant Field Values

#### JSP_FACTORY_POOL_SIZE_INIT_PARAM

    public static final String JSP_FACTORY_POOL_SIZE_INIT_PARAM

Name of the ServletContext init-param that determines the JSP factory pool size. Set the value to a positive integer to enable it. The default value is `8` per thread.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()